Reinforcement UShapeRebar/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 30: Line 30:
</div>
</div>


The {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch Rebar UShape|UShape Rebar]]}} tool is also integrated into [[BIM_Workbench|BIM Workbench]].
The {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch_Rebar_UShape|UShape Rebar]]}} tool is also integrated into [[BIM_Workbench|BIM Workbench]].


This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.
This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.
Line 42: Line 42:


# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}} object.
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}} object.
# Then select {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch Rebar UShape|UShape Rebar]]}} from the rebar tools.
# Then select {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch_Rebar_UShape|UShape Rebar]]}} from the rebar tools.
# A [[task panel]] will pop-out on the left side of the screen as shown below.
# A [[Task_panel|task panel]] will pop-out on the left side of the screen as shown below.
# Select the desired orientation.
# Select the desired orientation.
# Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
Line 92: Line 92:


=== Пример ===
=== Пример ===

{{Code|code=
{{Code|code=
import FreeCAD, Arch, UShapeRebar
import FreeCAD, Arch, UShapeRebar
Line 107: Line 108:
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}

=== Edition of the rebar ===


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Изменение свойств арматуры UShape.
Изменение свойств арматуры UShape.
</div>
</div>

{{Code|code=
{{Code|code=
editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,

Revision as of 12:22, 12 March 2022

Arch Rebar UShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Bent UShape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Описание

Инструмент UShape Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.

The UShape Rebar tool is also integrated into BIM Workbench.

This command is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager via the Tools → Addon manager → Reinforcement menu.

Применение

  1. Select any face of a previously created Arch Structure object.
  2. Then select UShape Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Taskview panel for the Arch Rebar UShape tool

Свойства

  • ДанныеOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • ДанныеFront Cover: The distance between rebar and selected face.
  • ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
  • ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
  • ДанныеTop Cover: The distance between rebar from the top face of the structure.
  • ДанныеRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • ДанныеAmount: The amount of rebars.
  • ДанныеSpacing: The distance between the axes of each bar.

Scripting

Скриптование

Инструмент UShape Rebar можно использовать в macros и на консоли python с помощью следующей функции:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, b_cover, r_cover, l_cover, and t_cover are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, right, left, and top offsets.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • rounding is the parameter that determines the bending radius of the reinforcement bars.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Bottom", "Top", "Right", or "Left".

Пример

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

Изменение свойств арматуры UShape.

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created UShapeRebar object.
  • The other parameters are the same as required by the makeUShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")